Business Transaction
Manage business transactions via the VARIO Cloud REST API, including creating, retrieving, updating, and deleting transaction records.
the BusinessTransaction API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Sortierung des Geschäftsvorfall
Kurze Beschreibung
Beschreibung des Geschäftsvorfall
Resource with given ID was not found
GET /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"sortOrder": 1,
"label": "text",
"description": "text"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Sortierung des Geschäftsvorfall
Kurze Beschreibung
Beschreibung des Geschäftsvorfall
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Sortierung des Geschäftsvorfall
Kurze Beschreibung
Beschreibung des Geschäftsvorfall
Resource was not found
Resource was not valid to process
PUT /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"sortOrder": 1,
"label": "text",
"description": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"sortOrder": 1,
"label": "text",
"description": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Sortierung des Geschäftsvorfall
Kurze Beschreibung
Beschreibung des Geschäftsvorfall
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Sortierung des Geschäftsvorfall
Kurze Beschreibung
Beschreibung des Geschäftsvorfall
Resource was not valid to process
POST /erp/finance/business_transaction HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"sortOrder": 1,
"label": "text",
"description": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"sortOrder": 1,
"label": "text",
"description": "text"
}Last updated
Was this helpful?